Authorization
secretKey AuthorizationBearer <token>
Server-side sk_ key. Grants a subset of the merchant's permissions.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/subscriptions"[ { "id": "string", "subscriber": { "customerId": "string", "name": "string", "email": "string" }, "description": "string", "amount": { "amount": "string", "asset": "string", "formatted": "string", "display": "string" }, "interval": "week", "state": "active", "billedCycles": 0, "daysUntilDue": 0, "anchorAt": "string", "nextBillingAt": "string", "createdAt": "string", "cancelledAt": "string" }]Check out an issued invoice
Previous Page
Create a subscription
Puts a customer on a recurring plan. Send-to-pay: every cycle Mayarin issues the subscriber an invoice and emails its pay link; they pay it on any rail. Payments on a cycle carry `metadata.subscriptionId` into the `payment.*` webhooks. The merchant's customer with the given email is reused, or created. Needs `catalog:manage`.